#!/bin/sh
TARFILE="$1"; shift
ARGS=''

INSTALL_SCRIPT='bin/install.pike'

while [ $# != 0 ]
do
    case "$1" in
              -v|\
       --version) echo "Pike v7.2 release 239 Copyright (C) 1994-2000 Fredrik Hbinette and
Roxen Internet Software AB Pike comes with ABSOLUTELY NO WARRANTY;
This is free software and you are welcome to redistribute it under
certain conditions; Read the files COPYING and DISCLAIMER in the
Pike distribution for more details.
";
		  rm -f PtmP90667cc.x
                  exit 0 ;;

              -h|\
          --help) echo "Usage: $TARFILE [options] [variables]

Options:
  -h, --help            Display this help and exit.
  -v, --version         Display version information and exit.
  --features            Display features and exit.
  --interactive         Interactive installation (default).
  --new-style           Install in <prefix>/pike/<ver>/{lib,include,bin}.
  --traditional         Install in <prefix>/{lib/pike,include/pike,bin}.

Variables:
  prefix=<path>         Install pike files here (/usr/local).
  pike_name=<path>      Create a symlink to pike here (<prefix>/bin/pike).
"
		  rm -f PtmP90667cc.x
                  exit 0 ;;

      --features) echo "dynamic_modules
threads
out-of-band_data
Crypto
Gmp
Gz
Image.JPEG
Image.TTF
Image.FreeType
Image.XFace
Image.PNG
Java
Mysql
Odbc
PDF
Postgres
Yp
WhiteFish"
		  rm -f PtmP90667cc.x
                  exit 0 ;;

              -s|\
        --script) shift
                  INSTALL_SCRIPT="$1" ;;

               *) ARGS="$ARGS '`echo \"$1\" | sed -e \"s/'/'\\\"'\\\"'/g\"`'" ;;
    esac
    shift
done
echo "   Loading installation script, please wait..."
tar xf "$TARFILE" PtmP90667cc.tar.gz
gzip -dc PtmP90667cc.tar.gz | tar xf -
rm -rf PtmP90667cc.tar.gz
PIKE_MODULE_PATH=build/lib/modules:lib/modules
PIKE_PROGRAM_PATH=
PIKE_INCLUDE_PATH=lib/include
export PIKE_MODULE_PATH PIKE_INCLUDE_PATH PIKE_PROGRAM_PATH
( cd 'Pike-v7.2.239-SunOS-5.7-i86pc.dir'
  eval "build/pike -mbuild/master.pike \"$INSTALL_SCRIPT\" \
  TMP_LIBDIR=\"build/lib\"\
  LIBDIR_SRC=\"lib\"\
  SRCDIR=\"src\"\
  TMP_BINDIR=\"bin\"\
  TMP_BUILDDIR=\"build\"\
  MANDIR_SRC=\"man\"\
  PIKE_MODULE_RELOC=\"\"\
  $ARGS"
)
rm -rf 'Pike-v7.2.239-SunOS-5.7-i86pc.dir' PtmP90667cc.x
